/*
 * New editor name:  TDE, the Thomson-Davis Editor.
 * Author:           Frank Davis
 * Date:             June 5, 1991
 *
 * This modification of Douglas Thomson's code is released into the
 * public domain, Frank Davis.  You may distribute it freely.
 *
 * This file defines all functions in editor.
 */

#define   Help                     1
#define   Rturn                    2
#define   NextLine                 3
#define   BegNextLine              4
#define   LineDown                 5
#define   LineUp                   6
#define   CharRight                7
#define   CharLeft                 8
#define   PanRight                 9
#define   PanLeft                 10
#define   WordRight               11
#define   WordLeft                12
#define   ScreenDown              13
#define   ScreenUp                14
#define   EndOfFile               15
#define   TopOfFile               16
#define   BotOfScreen             17
#define   TopOfScreen             18
#define   EndOfLine               19
#define   BegOfLine               20
#define   JumpToLine              21
#define   CenterWindow            22
#define   CenterLine              23
#define   HorizontalScreenRight   24
#define   HorizontalScreenLeft    25
#define   ScrollDnLine            26
#define   ScrollUpLine            27
#define   PanUp                   28
#define   PanDn                   29
#define   ToggleOverWrite         30
#define   ToggleSmartTabs         31
#define   ToggleIndent            32
#define   ToggleWordWrap          33
#define   ToggleCRLF              34
#define   ToggleTrailing          35
#define   ToggleZ                 36
#define   ToggleEol               37
#define   ToggleSync              38
#define   ToggleRuler             39
#define   ToggleTabInflate        40
#define   SetTabs                 41
#define   SetLeftMargin           42
#define   SetRightMargin          43
#define   SetParagraphMargin      44
#define   FormatParagraph         45
#define   FormatText              46
#define   LeftJustify             47
#define   RightJustify            48
#define   CenterJustify           49
#define   Tab                     50
#define   BackTab                 51
#define   ParenBalance            52
#define   BackSpace               53
#define   DeleteChar              54
#define   StreamDeleteChar        55
#define   DeleteLine              56
#define   DelEndOfLine            57
#define   WordDelete              58
#define   AddLine                 59
#define   SplitLine               60
#define   JoinLine                61
#define   DuplicateLine           62
#define   AbortCommand            63
#define   UndoLine                64
#define   UndoDelete              65
#define   ToggleSearchCase        66
#define   FindForward             67
#define   FindBackward            68
#define   RepeatFindForward1      69
#define   RepeatFindForward2      70
#define   RepeatFindBackward1     71
#define   RepeatFindBackward2     72
#define   ReplaceString           73
#define   DefineDiff              74
#define   RepeatDiff              75
#define   MarkBox                 76
#define   MarkLine                77
#define   MarkStream              78
#define   UnMarkBlock             79
#define   FillBlock               80
#define   NumberBlock             81
#define   CopyBlock               82
#define   KopyBlock               83
#define   MoveBlock               84
#define   OverlayBlock            85
#define   DeleteBlock             86
#define   SwapBlock               87
#define   BlockToFile             88
#define   PrintBlock              89
#define   BlockExpandTabs         90
#define   BlockCompressTabs       91
#define   BlockIndentTabs         92
#define   BlockTrimTrailing       93
#define   BlockUpperCase          94
#define   BlockLowerCase          95
#define   BlockRot13              96
#define   BlockFixUUE             97
#define   BlockEmailReply         98
#define   BlockStripHiBit         99
#define   SortBoxBlock           100
#define   DateTimeStamp          101
#define   EditFile               102
#define   DirList                103
#define   File                   104
#define   Save                   105
#define   SaveAs                 106
#define   SetFileAttributes      107
#define   EditNextFile           108
#define   DefineSearchAndSeize   109
#define   RepeatSearchAndSeize   110
#define   RedrawScreen           111
#define   SizeWindow             112
#define   SplitHorizontal        113
#define   SplitVertical          114
#define   NextWindow             115
#define   PreviousWindow         116
#define   ZoomWindow             117
#define   NextHiddenWindow       118
#define   SetMark1               119
#define   SetMark2               120
#define   SetMark3               121
#define   GotoMark1              122
#define   GotoMark2              123
#define   GotoMark3              124
#define   RecordMacro            125
#define   PlayBack               126
#define   SaveMacro              127
#define   LoadMacro              128
#define   ClearAllMacros         129
#define   Pause                  130
#define   Quit                   131

#define   TwoCharKey             140

#define   WordWrap               132
/*
 *  These are not functions.  They redefine the Control code sequence.
 */

#define     CNTRL_A             431
#define     CNTRL_B             432
#define     CNTRL_C             433
#define     CNTRL_D             434
#define     CNTRL_E             435
#define     CNTRL_F             436
#define     CNTRL_G             437
#define     CNTRL_H             438
#define     CNTRL_I             439
#define     CNTRL_J             440
#define     CNTRL_K             441
#define     CNTRL_L             442
#define     CNTRL_M             443
#define     CNTRL_N             444
#define     CNTRL_O             445
#define     CNTRL_P             446
#define     CNTRL_Q             447
#define     CNTRL_R             448
#define     CNTRL_S             449
#define     CNTRL_T             450
#define     CNTRL_U             451
#define     CNTRL_V             452
#define     CNTRL_W             453
#define     CNTRL_X             454
#define     CNTRL_Y             455
#define     CNTRL_Z             456
